Page MenuHomePhabricator

Amend rule for Engage team members
Closed, ResolvedPublic

Description

Hi,

Related to task T91667 which has been resolved/closed.

Sorry to bring this task up again. Are we able to amend a rule for Engage here and add in access for them to be able to save Unrestricted - General, Community Gifts. Benevity, which is a company that disburses matching gifts that Engage hand key for us have just started to include the original donations from donors, which are Unrestricted - General, Community Gifts. Sorry I didn't realize earlier on. Is this an easy fix?

Event Timeline

RLewis created this task.Jun 2 2015, 9:45 PM
RLewis assigned this task to atgo.
RLewis raised the priority of this task from to Needs Triage.
RLewis updated the task description. (Show Details)
RLewis added subscribers: RLewis, awight, Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 9:45 PM

I don't quite understand, "Community Gift" is a type of Gift Source, so that's simple, but "Unrestricted - General" is in Restrictions, and we currently don't enforce any rules about which Restrictions they enter. Should we just leave this alone, or did you want to add a rule?

Change 215535 had a related patch set uploaded (by Awight):
Allow Engage to enter "Community Gift" donations

https://gerrit.wikimedia.org/r/215535

@awight yeah, I think we're good to keep the Restrictions as they are but just change the rule for Engage to have the option to enter Community Gifts.

RLewis added a comment.Jun 4 2015, 6:36 PM

@awight was this fixed? Can Engage staff now save Community Gifts?

Thanks,

awight added a comment.Jun 4 2015, 6:40 PM

Not yet, sorry. I'm waiting for code review, then deployment. I'll post here when it's ready to use!

RLewis added a comment.Jun 4 2015, 6:42 PM

@awight that's cool, just wanted to let Engage staff know.

atgo reassigned this task from atgo to awight.Jun 8 2015, 9:22 PM
RLewis added a comment.Jun 9 2015, 8:39 PM

@awight any update on this?

awight added a comment.Jun 9 2015, 9:44 PM

Sorry, still waiting for review.

Change 215535 merged by jenkins-bot:
Allow Engage to enter "Community Gift" donations

https://gerrit.wikimedia.org/r/215535

Change 217746 had a related patch set uploaded (by Ejegg):
Allow Engage to enter "Community Gift" donations

https://gerrit.wikimedia.org/r/217746

Change 217746 merged by jenkins-bot:
Allow Engage to enter "Community Gift" donations

https://gerrit.wikimedia.org/r/217746

awight triaged this task as Unbreak Now! priority.Jun 24 2015, 5:43 PM
awight added a project: Unplanned-Sprint-Work.

@RLewis

We're hoping to get confirmation that the keying staff is able to use the additional gift sources.

@awight confirmed they can enter additional gift sources.

awight closed this task as Resolved.Jun 24 2015, 8:31 PM

Thanks!

mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 22 2017, 9:38 PM